Subject: Re: [PATCH 0/8] asciidoc fixups

From: Jeff King <[email-masked]>
Date: Thu, 14 May 2015 17:17:27 -0400

On Thu, May 14, 2015 at 02:10:53PM -0700, Junio C Hamano wrote:

> Johannes Schindelin <[email-masked]> writes:
> 
> >> My asciidoctor just comes from the Debian package. Looks like it's over
> >> a year old at this point. I should probably be testing with something
> >> more recent.
> >
> > We installed asciidoctor via `gem` and have version 1.5.2.
> 
> What I'll be pushing out today will have some "interesting" mark-up
> in Documentation/git-cat-file.txt (on 'jch' or 'pu') from David's
> '--follow-symlinks' topic.  I think AsciiDoc formatting looks OK,
> but can you check it with both older (peff) and newer (dscho)
> asciidoctor to see how well it shows?  Look for --follow-symlinks
> in the output.

What's in 366bc15e9 (your SQUASH) looks terrible with older asciidoctor.
The "[normal]" bumps us out of the list item, left-aligning all of the
other paragraphs, and then the "+" continuation is treated literally
(probably because we are not inside a block).

I don't see any reason we cannot use normal "+" continuation here (but
the hanging paragraphs need to be left-aligned, then).

-Peff